Loading...
Searching...
No Matches
async_input_buffer.hpp File Reference

Provides seqan3::views::async_input_buffer. More...

`#include <concepts>`
`#include <iterator>`
`#include <memory>`
`#include <ranges>`
`#include <thread>`
`#include <seqan3/contrib/parallel/buffer_queue.hpp>`
`#include <seqan3/core/range/detail/adaptor_from_functor.hpp>`
Include dependency graph for async_input_buffer.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

constexpr auto | seqan3::views::async_input_buffer
| A view adapter that returns a concurrent-queue-like view over the underlying range.

## Detailed Description

Provides seqan3::views::async_input_buffer.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me